// Code generated by MockGen. DO NOT EDIT.
// Source: impl.go
//
// Generated by this command:
//
//	mockgen -destination=mock.go -package=repo -source=impl.go
//

// Package repo is a generated GoMock package.
package repo

import (
	reflect "reflect"

	gomock "go.uber.org/mock/gomock"
)

// MockDatabase is a mock of Database interface.
type MockDatabase struct {
	ctrl     *gomock.Controller
	recorder *MockDatabaseMockRecorder
}

// MockDatabaseMockRecorder is the mock recorder for MockDatabase.
type MockDatabaseMockRecorder struct {
	mock *MockDatabase
}

// NewMockDatabase creates a new mock instance.
func NewMockDatabase(ctrl *gomock.Controller) *MockDatabase {
	mock := &MockDatabase{ctrl: ctrl}
	mock.recorder = &MockDatabaseMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockDatabase) EXPECT() *MockDatabaseMockRecorder {
	return m.recorder
}

// AutoMigrate mocks base method.
func (m *MockDatabase) AutoMigrate() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AutoMigrate")
	ret0, _ := ret[0].(error)
	return ret0
}

// AutoMigrate indicates an expected call of AutoMigrate.
func (mr *MockDatabaseMockRecorder) AutoMigrate() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AutoMigrate", reflect.TypeOf((*MockDatabase)(nil).AutoMigrate))
}

// CreateCertifiedCheck mocks base method.
func (m *MockDatabase) CreateCertifiedCheck(compliance CheckCompliance) (CheckCompliance, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateCertifiedCheck", compliance)
	ret0, _ := ret[0].(CheckCompliance)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateCertifiedCheck indicates an expected call of CreateCertifiedCheck.
func (mr *MockDatabaseMockRecorder) CreateCertifiedCheck(compliance any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateCertifiedCheck", reflect.TypeOf((*MockDatabase)(nil).CreateCertifiedCheck), compliance)
}

// EnsureDevStandardExists mocks base method.
func (m *MockDatabase) EnsureDevStandardExists() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "EnsureDevStandardExists")
	ret0, _ := ret[0].(error)
	return ret0
}

// EnsureDevStandardExists indicates an expected call of EnsureDevStandardExists.
func (mr *MockDatabaseMockRecorder) EnsureDevStandardExists() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "EnsureDevStandardExists", reflect.TypeOf((*MockDatabase)(nil).EnsureDevStandardExists))
}

// GetStandardByID mocks base method.
func (m *MockDatabase) GetStandardByID(id uint) (Standard, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetStandardByID", id)
	ret0, _ := ret[0].(Standard)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetStandardByID indicates an expected call of GetStandardByID.
func (mr *MockDatabaseMockRecorder) GetStandardByID(id any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetStandardByID", reflect.TypeOf((*MockDatabase)(nil).GetStandardByID), id)
}

// HealthCheck mocks base method.
func (m *MockDatabase) HealthCheck() DbConnectionStatus {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "HealthCheck")
	ret0, _ := ret[0].(DbConnectionStatus)
	return ret0
}

// HealthCheck indicates an expected call of HealthCheck.
func (mr *MockDatabaseMockRecorder) HealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "HealthCheck", reflect.TypeOf((*MockDatabase)(nil).HealthCheck))
}

// RetrieveAllChecksFromOrganisation mocks base method.
func (m *MockDatabase) RetrieveAllChecksFromOrganisation(oin string) ([]CheckCompliance, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RetrieveAllChecksFromOrganisation", oin)
	ret0, _ := ret[0].([]CheckCompliance)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// RetrieveAllChecksFromOrganisation indicates an expected call of RetrieveAllChecksFromOrganisation.
func (mr *MockDatabaseMockRecorder) RetrieveAllChecksFromOrganisation(oin any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RetrieveAllChecksFromOrganisation", reflect.TypeOf((*MockDatabase)(nil).RetrieveAllChecksFromOrganisation), oin)
}

// RetrieveChecks mocks base method.
func (m *MockDatabase) RetrieveChecks() ([]CheckCompliance, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RetrieveChecks")
	ret0, _ := ret[0].([]CheckCompliance)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// RetrieveChecks indicates an expected call of RetrieveChecks.
func (mr *MockDatabaseMockRecorder) RetrieveChecks() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RetrieveChecks", reflect.TypeOf((*MockDatabase)(nil).RetrieveChecks))
}
